用户
按 id 批量获取用户
GET /v1/users/batch reads 1 per id 额度
一次调用按数字 id 读取最多 50 个账号的资料。每个请求的 id 消耗 1 个额度。
查询参数
| 查询参数 | 类型 | 含义 |
|---|---|---|
ids * | string (1–50 ids) | 逗号分隔的数字账号 id,1–50 个 |
响应
items 按请求顺序保存找到的资料;missing 列出未对应到任何账号的 id。
状态: 200, 400, 429, 502
请求
curl https://api.xsignalfeed.com/v1/users/batch?ids=1652541,11348282,999999999999999999 \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 400
{
"items": [
{
"id": "1652541",
"name": "Reuters",
"screen_name": "Reuters",
"bio": "Top and breaking news, pictures and videos from Reuters…",
"location": "Around the world",
"url": "https://t.co/…",
"avatar": "https://pbs.twimg.com/profile_images/…",
"banner": "https://pbs.twimg.com/profile_banners/1652541/…",
"pinned": null,
"verified": true,
"protected": false,
"followers": 26367695,
"following": 1195,
"tweets": 1395836
},
{
"id": "11348282",
"name": "NASA",
"screen_name": "NASA",
"bio": "Making the seemingly impossible, possible. ✨",
"location": "Pale Blue Dot",
"…": "…"
}
],
"missing": [
"999999999999999999"
]
}